Package be.fgov.ehealth.consultrn.ssinhistory.protocol.v1

# Class ConsultSsinRequestType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultSsinRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultCurrentSsinRequest`, `ConsultRelatedSsinsRequest`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:46+02:00", comments="JAXB RI v4.0.5") public class ConsultSsinRequestType extends RequestType implements Serializable
Request type

Java class for ConsultSsinRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSsinRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="Ssin" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSsinRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSsin()`
  Gets the value of the ssin property.
  `void`
  `setSsin(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSsinRequestType

    public ConsultSsinRequestType()

- ## Method Details

  - ### getSsin

    public String getSsin()
    Gets the value of the ssin property.
    Returns:
      possible object is `String`

  - ### setSsin

    public void setSsin(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`